package com.ruoyi.framework.annotation;

import java.lang.annotation.*;

/**
 * @author :tiantf
 * @date : 2023/11/8
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface DataUpdateCheck {
    /**
     * 表的主键ID字段
     */
    String key() default "";

    /**
     * 表名
     */
    String tableName() default "";

    /**
     * 进行判断的属性名
     */
    String fieldName() default "";
}
